span {
  color: var(--Main-Foreground);
}

ion-back-button,
ion-button {
  --icon-font-size: inherit;
  --icon-font-weight: 600;
  font-weight: 600;

  --padding-start: var(--display-edge-spacing);
  --padding-end: var(--display-edge-spacing);
  --padding-top: 1rem;
  --padding-bottom: 1rem;
}

.settings {
  padding: 1rem var(--display-edge-spacing);
}

ion-content {
  --padding-start: var(--display-edge-spacing);
  --padding-end: var(--display-edge-spacing);
  --padding-bottom: var(--spacing-medium);
}

.no-edge-spacing {
  --padding-start: 0;
  --padding-end: 0;
  --padding-bottom: 0;
}

ion-toolbar {
  --border-style: none;
  --box-shadow: none;
  --background: transparent;
  --padding-start: 0;
  --padding-end: 0;
  --padding-top: 0;
  --padding-bottom: 0;
}

.settings,
.settings .icon {
  display: block;
}

.icon {
  font-size: 1.4rem;
}

ion-header {
  transition:
    box-shadow 0.3s,
    background 0.3s;
  --background: unset;
}

.condensed-header {
  --border-style: none;
  --box-shadow: none;
}

.title {
  color: var(--Main-Foreground);
  font-size: 1.25rem;
  font-weight: 600;
}

.ion-header-not-scrolled {
  box-shadow: var(--default-shadow-hidden);
}

.ion-header-is-scrolled {
  box-shadow: var(--default-shadow);
}

ion-back-button,
ion-button,
.material-symbols-outlined {
  --color: var(--Main-Foreground);
  color: var(--Main-Foreground);
  font-size: 16px;
}

ion-header .title {
  transition: all 0.1s !important;
  transition-timing-function: ease-in;
}

// when not scrolled
ion-header.header-collapse-condense-inactive .title {
  transform: translateY(2em) translateX(-8em) scale(1.4);
  transition-timing-function: ease-out;
}

.condensed-title {
  color: var(--Main-Foreground);
  font-size: 2rem;
  font-weight: 700;
  padding: 0;
  margin: 0;
  hyphens: auto;
  transition:
    opacity 0.1s,
    transform 0.1s;
  transition-timing-function: ease-out;
}

// when scrolled
ion-header:not(.header-collapse-condense-inactive)
  + ion-content
  .condensed-title {
  opacity: 0;
  transform: translateY(-2em) translateX(8em) scale(0.7);
  transition-timing-function: ease-in;
}

h1 {
  line-height: normal;
}
